curl --request GET \
--url https://api.demo.fuelboss.net/v1/operations/{clientReference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/operations/{clientReference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/operations/{clientReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.fuelboss.net/v1/operations/{clientReference}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.fuelboss.net/v1/operations/{clientReference}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.fuelboss.net/v1/operations/{clientReference}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.fuelboss.net/v1/operations/{clientReference}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "created",
"clientReference": "<string>",
"operationStandardCode": "<string>",
"bunkeringLocationCode": "<string>",
"supplier": {
"companyName": "<string>",
"assetName": "<string>",
"companyEntityReference": "<string>",
"orderReference": "<string>",
"assetIdentifier": "<string>"
},
"receiver": {
"companyName": "<string>",
"vesselName": "<string>",
"vesselIdentifier": "<string>",
"nextPortCode": "<string>",
"nextDestination": "international"
},
"bunkerDeliveryNotes": [
{
"bunkerType": "<string>",
"number": "<string>",
"cargoOfficerName": "<string>",
"chiefEngineerName": "<string>",
"productName": "<string>",
"quantityDelivered": {
"value": 123,
"unit": "<string>"
},
"fuelIndex": 123,
"receiverCompanyName": "<string>",
"receiverVesselName": "<string>",
"receiverVesselIMO": 123,
"receiverVesselGrossTonnage": 123,
"receiverVesselNextPort": "<string>",
"receiverNextDestination": "international",
"supplierCompanyName": "<string>",
"supplierAssetName": "<string>",
"supplierAssetIMO": 123,
"supplierAssetHarbourLicenseNumber": "<string>",
"deliveryDate": "2023-12-25",
"allFastTimestamp": "2023-11-07T05:31:56Z",
"connectTimestamp": "2023-11-07T05:31:56Z",
"startTransferTimestamp": "2023-11-07T05:31:56Z",
"endTransferTimestamp": "2023-11-07T05:31:56Z",
"drainingTimestamp": "2023-11-07T05:31:56Z",
"disconnectTimestamp": "2023-11-07T05:31:56Z",
"castOffTimestamp": "2023-11-07T05:31:56Z",
"quantityReceived": {
"value": 123,
"unit": "<string>"
},
"biofuelQuantityDelivered": {
"value": 123,
"unit": "<string>"
},
"productViscosity": {
"value": 123,
"unit": "<string>"
},
"productDensity": {
"value": 123,
"unit": "<string>"
},
"productPourPoint": {
"value": 123,
"unit": "<string>"
},
"productFlashPoint": {
"value": "<string>",
"unit": "<string>"
},
"productWaterContent": {
"value": "<string>",
"unit": "<string>"
},
"productSulphurContent": {
"value": "<string>",
"unit": "<string>"
},
"bunkerMeteringTicketNumber": "<string>",
"isNoteOfProtestIssued": true,
"customerRating": "<string>"
}
],
"documentReferences": [
{
"documentId": "<string>",
"documentType": "bunker_delivery_note",
"documentName": "<string>",
"fuelIndex": 123
}
],
"bunkeringLocationName": "<string>",
"portBunkeringLocationCode": "<string>",
"transactionType": "transfer",
"loadingNumber": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}Retrieves a specific operation
Retrieves specific operation and BDN data by client reference. You can only access operations where your authenticated company is the supplier or the receiver. If more than one accessible operation shares the client reference, a 422 is returned pointing to GET /v1/operations//all.
curl --request GET \
--url https://api.demo.fuelboss.net/v1/operations/{clientReference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/operations/{clientReference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/operations/{clientReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.fuelboss.net/v1/operations/{clientReference}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.fuelboss.net/v1/operations/{clientReference}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.fuelboss.net/v1/operations/{clientReference}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.fuelboss.net/v1/operations/{clientReference}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "created",
"clientReference": "<string>",
"operationStandardCode": "<string>",
"bunkeringLocationCode": "<string>",
"supplier": {
"companyName": "<string>",
"assetName": "<string>",
"companyEntityReference": "<string>",
"orderReference": "<string>",
"assetIdentifier": "<string>"
},
"receiver": {
"companyName": "<string>",
"vesselName": "<string>",
"vesselIdentifier": "<string>",
"nextPortCode": "<string>",
"nextDestination": "international"
},
"bunkerDeliveryNotes": [
{
"bunkerType": "<string>",
"number": "<string>",
"cargoOfficerName": "<string>",
"chiefEngineerName": "<string>",
"productName": "<string>",
"quantityDelivered": {
"value": 123,
"unit": "<string>"
},
"fuelIndex": 123,
"receiverCompanyName": "<string>",
"receiverVesselName": "<string>",
"receiverVesselIMO": 123,
"receiverVesselGrossTonnage": 123,
"receiverVesselNextPort": "<string>",
"receiverNextDestination": "international",
"supplierCompanyName": "<string>",
"supplierAssetName": "<string>",
"supplierAssetIMO": 123,
"supplierAssetHarbourLicenseNumber": "<string>",
"deliveryDate": "2023-12-25",
"allFastTimestamp": "2023-11-07T05:31:56Z",
"connectTimestamp": "2023-11-07T05:31:56Z",
"startTransferTimestamp": "2023-11-07T05:31:56Z",
"endTransferTimestamp": "2023-11-07T05:31:56Z",
"drainingTimestamp": "2023-11-07T05:31:56Z",
"disconnectTimestamp": "2023-11-07T05:31:56Z",
"castOffTimestamp": "2023-11-07T05:31:56Z",
"quantityReceived": {
"value": 123,
"unit": "<string>"
},
"biofuelQuantityDelivered": {
"value": 123,
"unit": "<string>"
},
"productViscosity": {
"value": 123,
"unit": "<string>"
},
"productDensity": {
"value": 123,
"unit": "<string>"
},
"productPourPoint": {
"value": 123,
"unit": "<string>"
},
"productFlashPoint": {
"value": "<string>",
"unit": "<string>"
},
"productWaterContent": {
"value": "<string>",
"unit": "<string>"
},
"productSulphurContent": {
"value": "<string>",
"unit": "<string>"
},
"bunkerMeteringTicketNumber": "<string>",
"isNoteOfProtestIssued": true,
"customerRating": "<string>"
}
],
"documentReferences": [
{
"documentId": "<string>",
"documentType": "bunker_delivery_note",
"documentName": "<string>",
"fuelIndex": 123
}
],
"bunkeringLocationName": "<string>",
"portBunkeringLocationCode": "<string>",
"transactionType": "transfer",
"loadingNumber": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}Authorizations
Access token obtained from the /oauth/token endpoint using your client credentials.
Path Parameters
Your company's unique reference for the operation (the same client reference used on the corresponding nomination).
Response
OK
A bunkering operation, including its bunker delivery notes and references to its documents.
Current status of the operation.
Possible values:
created— Operation has been created but not yet started.started— Operation has been started.initiating— Operation is in the initiation phase.ongoing— Operation is actively in progress.finalising— Operation is being finalized.ended— Operation has been completed.archived— Operation has been archived.
created, started, initiating, ongoing, finalising, ended, archived "created"
Your company's unique reference for the operation (the same client reference used on the corresponding nomination).
Operation standard code (from Get Operation Standards).
UN/LOCODE of the bunkering location.
Supplier details for the operation.
Show child attributes
Show child attributes
Receiver details for the operation.
Show child attributes
Show child attributes
Bunker delivery notes issued for the operation.
Bunker delivery note (BDN) issued for a bunkering operation. The bunkerType discriminator
field determines which variant is returned.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
References to the operation's documents, retrievable via Get Operational Document.
Show child attributes
Show child attributes
Human-readable name of the bunkering location.
UN/LOCODE of the specific port location.
Transaction type of the operation. Only applicable when the operation's
operationStandardCode is of type Transfer.
Possible values:
transfer— Transfer operation.cargo— Cargo operation.
transfer, cargo, null "transfer"
Reference number of the loading document (CQ, BL or BDN). Only applicable to loading operations.